Bug 176087 - [NEW PORT] audio/beets: A media library management system for obsessive-compulsive music geeks
Summary: [NEW PORT] audio/beets: A media library management system for obsessive-compu...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-12 23:10 UTC by Mark Felder
Modified: 2013-02-15 03:00 UTC (History)
0 users

See Also:


Attachments
.shar (4.97 KB, text/plain)
2013-02-12 23:10 UTC, Mark Felder
no flags Details
beets.shar (12.94 KB, application/octet-stream)
2013-02-14 01:29 UTC, Mark Felder
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Felder freebsd_committer 2013-02-12 23:10:00 UTC
Beets is the media library management system for 
obsessive-compulsive music geeks.

WWW: http://beets.radbox.org/

This port requires pr 176068 and 176069

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Edwin Groothuis freebsd_committer 2013-02-12 23:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Mark Felder freebsd_committer 2013-02-14 01:29:33 UTC
Here's a much improved copy...
Comment 3 Martin Wilke freebsd_committer 2013-02-15 02:46:22 UTC
Responsible Changed
From-To: swills->miwi

I'll take it.
Comment 4 Martin Wilke freebsd_committer 2013-02-15 02:49:33 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 5 dfilter service freebsd_committer 2013-02-15 02:50:06 UTC
Author: miwi
Date: Fri Feb 15 02:49:57 2013
New Revision: 312265
URL: http://svnweb.freebsd.org/changeset/ports/312265

Log:
  Beets is the media library management system for
  obsessive-compulsive music geeks.
  
  WWW: http://beets.radbox.org/
  
  PR:		ports/176087
  Submitted by:	Mark Felder <feld@feld.me>

Added:
  head/audio/beets/
  head/audio/beets/Makefile   (contents, props changed)
  head/audio/beets/distinfo   (contents, props changed)
  head/audio/beets/pkg-descr   (contents, props changed)
  head/audio/beets/pkg-plist   (contents, props changed)
Modified:
  head/audio/Makefile

Modified: head/audio/Makefile
==============================================================================
--- head/audio/Makefile	Fri Feb 15 02:49:05 2013	(r312264)
+++ head/audio/Makefile	Fri Feb 15 02:49:57 2013	(r312265)
@@ -65,6 +65,7 @@
     SUBDIR += beast
     SUBDIR += bebocd
     SUBDIR += beep
+    SUBDIR += beets
     SUBDIR += blop
     SUBDIR += bmp-crossfade
     SUBDIR += bmp-faad

Added: head/audio/beets/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/beets/Makefile	Fri Feb 15 02:49:57 2013	(r312265)
@@ -0,0 +1,35 @@
+# Created by: Mark Felder <feld@feld.me>
+# $FreeBSD$
+
+PORTNAME=	beets
+PORTVERSION=	1.0.0
+CATEGORIES=	audio python
+
+MAINTAINER=	feld@feld.me
+COMMENT=	A media library management system for obsessive-compulsive music geeks
+
+BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}setuptools>=0:${PORTSDIR}/devel/py-setuptools
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}mutagen>=0:${PORTSDIR}/audio/py-mutagen \
+		${PYTHON_PKGNAMEPREFIX}unidecode>=0:${PORTSDIR}/converters/py-unidecode \
+		${PYTHON_PKGNAMEPREFIX}musicbrainzngs>=0:${PORTSDIR}/audio/py-musicbrainzngs \
+		${PYTHON_PKGNAMEPREFIX}munkres>=0:${PORTSDIR}/math/py-munkres
+
+USE_PYTHON=	2.7+
+
+USE_GITHUB=	yes
+GH_ACCOUNT=	sampsyo
+GH_TAGNAME=	v${PORTVERSION}
+GH_COMMIT=	d06ca1e
+
+.include <bsd.port.pre.mk>
+
+do-build:
+	@(cd ${BUILD_WRKSRC}; ${SETENV} ${MAKE_ENV} ${PYTHON_CMD} \
+		${PYSETUP} build)
+
+do-install:
+	${INSTALL_SCRIPT} ${WRKSRC}/beet ${PREFIX}/bin/
+	${INSTALL} -d ${PYTHONPREFIX_SITELIBDIR}/beets
+	cd ${WRKSRC}/build/lib && ${COPYTREE_SHARE} \* ${PYTHONPREFIX_SITELIBDIR}/
+
+.include <bsd.port.post.mk>

Added: head/audio/beets/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/beets/distinfo	Fri Feb 15 02:49:57 2013	(r312265)
@@ -0,0 +1,2 @@
+SHA256 (beets-1.0.0.tar.gz) = 23092add10135d07c67c5b9b576192bd1c0e12699b2691efed824b8b4e055bf8
+SIZE (beets-1.0.0.tar.gz) = 529109

Added: head/audio/beets/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/beets/pkg-descr	Fri Feb 15 02:49:57 2013	(r312265)
@@ -0,0 +1,4 @@
+Beets is the media library management system for 
+obsessive-compulsive music geeks.
+
+WWW: http://beets.radbox.org/

Added: head/audio/beets/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/beets/pkg-plist	Fri Feb 15 02:49:57 2013	(r312265)
@@ -0,0 +1,62 @@
+bin/beet
+%%PYTHON_SITELIBDIR%%/beetsplug/zero.py
+%%PYTHON_SITELIBDIR%%/beetsplug/web/templates/index.html
+%%PYTHON_SITELIBDIR%%/beetsplug/web/static/underscore.js
+%%PYTHON_SITELIBDIR%%/beetsplug/web/static/jquery.js
+%%PYTHON_SITELIBDIR%%/beetsplug/web/static/beets.js
+%%PYTHON_SITELIBDIR%%/beetsplug/web/static/beets.css
+%%PYTHON_SITELIBDIR%%/beetsplug/web/static/backbone.js
+%%PYTHON_SITELIBDIR%%/beetsplug/web/__init__.py
+%%PYTHON_SITELIBDIR%%/beetsplug/the.py
+%%PYTHON_SITELIBDIR%%/beetsplug/scrub.py
+%%PYTHON_SITELIBDIR%%/beetsplug/rewrite.py
+%%PYTHON_SITELIBDIR%%/beetsplug/replaygain.py
+%%PYTHON_SITELIBDIR%%/beetsplug/rdm.py
+%%PYTHON_SITELIBDIR%%/beetsplug/mpdupdate.py
+%%PYTHON_SITELIBDIR%%/beetsplug/mbcollection.py
+%%PYTHON_SITELIBDIR%%/beetsplug/lyrics.py
+%%PYTHON_SITELIBDIR%%/beetsplug/lastgenre/genres.txt
+%%PYTHON_SITELIBDIR%%/beetsplug/lastgenre/genres-tree.yaml
+%%PYTHON_SITELIBDIR%%/beetsplug/lastgenre/__init__.py
+%%PYTHON_SITELIBDIR%%/beetsplug/inline.py
+%%PYTHON_SITELIBDIR%%/beetsplug/info.py
+%%PYTHON_SITELIBDIR%%/beetsplug/importfeeds.py
+%%PYTHON_SITELIBDIR%%/beetsplug/ihate.py
+%%PYTHON_SITELIBDIR%%/beetsplug/fuzzy_search.py
+%%PYTHON_SITELIBDIR%%/beetsplug/fetchart.py
+%%PYTHON_SITELIBDIR%%/beetsplug/embedart.py
+%%PYTHON_SITELIBDIR%%/beetsplug/echonest_tempo.py
+%%PYTHON_SITELIBDIR%%/beetsplug/convert.py
+%%PYTHON_SITELIBDIR%%/beetsplug/chroma.py
+%%PYTHON_SITELIBDIR%%/beetsplug/bpd/gstplayer.py
+%%PYTHON_SITELIBDIR%%/beetsplug/bpd/__init__.py
+%%PYTHON_SITELIBDIR%%/beetsplug/bench.py
+%%PYTHON_SITELIBDIR%%/beetsplug/__init__.py
+%%PYTHON_SITELIBDIR%%/beets/vfs.py
+%%PYTHON_SITELIBDIR%%/beets/util/pipeline.py
+%%PYTHON_SITELIBDIR%%/beets/util/functemplate.py
+%%PYTHON_SITELIBDIR%%/beets/util/enumeration.py
+%%PYTHON_SITELIBDIR%%/beets/util/bluelet.py
+%%PYTHON_SITELIBDIR%%/beets/util/artresizer.py
+%%PYTHON_SITELIBDIR%%/beets/util/__init__.py
+%%PYTHON_SITELIBDIR%%/beets/ui/commands.py
+%%PYTHON_SITELIBDIR%%/beets/ui/__init__.py
+%%PYTHON_SITELIBDIR%%/beets/plugins.py
+%%PYTHON_SITELIBDIR%%/beets/mediafile.py
+%%PYTHON_SITELIBDIR%%/beets/library.py
+%%PYTHON_SITELIBDIR%%/beets/importer.py
+%%PYTHON_SITELIBDIR%%/beets/autotag/mb.py
+%%PYTHON_SITELIBDIR%%/beets/autotag/match.py
+%%PYTHON_SITELIBDIR%%/beets/autotag/hooks.py
+%%PYTHON_SITELIBDIR%%/beets/autotag/__init__.py
+%%PYTHON_SITELIBDIR%%/beets/__init__.py
+@dirrmtry %%PYTHON_SITELIBDIR%%/beetsplug/web/templates
+@dirrmtry %%PYTHON_SITELIBDIR%%/beetsplug/web/static
+@dirrmtry %%PYTHON_SITELIBDIR%%/beetsplug/web
+@dirrmtry %%PYTHON_SITELIBDIR%%/beetsplug/lastgenre
+@dirrmtry %%PYTHON_SITELIBDIR%%/beetsplug/bpd
+@dirrmtry %%PYTHON_SITELIBDIR%%/beetsplug
+@dirrmtry %%PYTHON_SITELIBDIR%%/beets/util
+@dirrmtry %%PYTHON_SITELIBDIR%%/beets/ui
+@dirrmtry %%PYTHON_SITELIBDIR%%/beets/autotag
+@dirrmtry %%PYTHON_SITELIBDIR%%/beets
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"